/*
* Colors used in design.
*   primary: #0078aa;
*   dark: #363636;
*   light: #fff;
*/
html {
  scroll-behavior: smooth;
}

body {
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
  margin: 0;
  padding: 0;
  color: #000;
  position: relative;
  min-height: 200vh;
  font-size: 16px;
}

a {
  text-decoration: none;
}

.arrow {
  position: fixed;
  right: 30px;
  bottom: 30px;
  width: 50px;
  height: 50px;
  font-size: 16px;
  border-radius: 50%;
  background-color: #0078aa;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: 0.3s;
}

.arrow:hover {
  color: #0078aa;
  background-color: #fff;
  border: 1px solid #0078aa;
}

.heading {
  position: fixed;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 20px 0;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.7);
}

nav {
  display: flex;
  justify-content: center;
  margin-top: 15px;
}

.nav_link {
  color: #363636;
  font-weight: bold;
  margin: 0 10px;
  font-size: 14px;
}

.nav_link:hover {
  color: #0078aa;
}

.header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background-image: url("../img/lady.jpg");
  background-size: cover;
  background-repeat: no-repeat;
}

.header__title {
  font-size: 40px;
  text-align: center;
}

.header__subtitle {
  max-width: 350px;
  text-align: center;
  line-height: 26px;
  font-size: 18px;
}

.header__icons {
  display: flex;
  align-items: center;
}

.header__icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  font-size: 20px;
  border-radius: 50%;
  background-color: #0078aa;
  color: #fff;
  margin: 0 10px;
  cursor: pointer;
}

.header__icon:hover {
  border: 1px solid #0078aa;
  background-color: #fff;
  color: #0078aa;
}

.about {
  display: flex;
  flex-direction: column;
  padding: 40px 0;
}

.about_content {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.about_undertitle {
  color: grey;
}

.about_text {
  text-align: center;
}

.services {
  padding: 30px 0;
  background-image: url("../img/services_bg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
}

.services_title {
  text-align: center;
}

.services_subtitle {
  text-align: center;
}

.services_box {
  padding: 20px;
  margin: 30px;
  max-width: 370px;
  background-color: #fff;
}

.pricing {
  padding: 30px 0;
  background-image: url("../img/pricing_bg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
}

.pricing_title {
  text-align: center;
  font-size: 40px;
}

.pricing_subtitle {
  text-align: center;
}

.pricing_container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.pricing_box {
  width: 350px;
  padding: 30px 0;
  background-color: #0078aa;
  color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  margin-bottom: 20px;
}

.pricing_box > p {
  margin: 10px 0;
}

.alt {
  background-color: #fff;
  color: #0078aa;
  border: 1px solid #0078aa;
}

.pricing_box--title {
  font-weight: bold;
  font-size: 20px;
}

.pricing_box--price {
  font-weight: bold;
  font-size: 50px;
}

.pricing_box--treatments {
  font-style: italic;
  font-size: 18px;
}

.pricing_box--button {
  margin-top: 15px;
  padding: 7px 15px;
  border-radius: 10px;
  background-color: #fff;
  transition: 0.3s;
}

.pricing_box--button:hover {
  background-color: #0078aa;
  border: 1px solid #fff;
  color: #fff;
}

.contact {
  display: flex;
  align-items: center;
  flex-direction: column;
  padding: 30px 0;
}

.contact_content {
  padding: 0 40px;
}

.contact_title {
  font-size: 40px;
}

.contact_img {
  display: none;
}

.contact_form {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.contact_input {
  font-style: italic;
  font-size: 18px;
  margin-bottom: 25px;
  border: none;
  border-bottom: 1px solid grey;
  width: 100%;
}

.contact_form--button {
  padding: 10px 20px;
  border-radius: 10px;
  border: none;
  background-color: #0078aa;
  color: #fff;
  align-self: center;
  cursor: pointer;
  transition: 0.3s;
}

.contact_form--button:hover {
  border: 1px solid #0078aa;
  background-color: #fff;
  color: #0078aa;
}

.footer {
  padding: 15px 0;
  font-size: 18px;
  color: #fff;
  background-color: #363636;
  text-align: center;
}

/* Tablet */
@media only screen and (min-width: 768px) {
  .heading {
    flex-direction: row;
    justify-content: space-between;
    padding: 20px 30px;
  }

  nav {
    margin-top: 0;
    margin-right: 50px;
  }

  .header {
    align-items: flex-start;
    padding-left: 100px;
  }

  .header__title {
    text-align: left;
  }

  .header__subtitle {
    text-align: left;
  }

  .header__icon {
    margin: 0 15px 0 0;
  }

  .about {
    flex-direction: row;
  }

  .about_content {
    align-items: flex-start;
    padding: 0 70px;
  }

  .about_img {
    max-width: 400px;
    height: auto;
    object-fit: contain;
  }

  .about_title,
  .about_text {
    text-align: left;
  }

  .services_container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  .services_box {
    margin: 10px;
    max-width: 310px;
  }

  .services_title {
    font-size: 40px;
  }

  .pricing_container {
    flex-direction: row;
    justify-content: center;
    align-items: center;
  }

  .pricing_box {
    height: 516px;
  }

  .pricing_box:nth-of-type(2) {
    height: 540px;
  }

  .contact {
    flex-direction: row;
  }

  .contact_img {
    max-width: 50%;
    display: block;
  }

  .contact_form--button {
    align-self: flex-start;
  }
}

/* Desktop */
@media only screen and (min-width: 1280px) {
  .header {
    align-items: flex-start;
    padding-left: 300px;
  }

  .about {
    justify-content: center;
  }

  .about_img {
    max-width: 50%;
    height: auto;
    object-fit: contain;
  }

  .about_content {
    max-width: 400px;
  }

  .services_box {
    margin: 30px;
    max-width: 400px;
  }
}
